package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Host struct {
	ID         json.Number    `json:"id,Number,omitempty"`
	IP         int64          `json:"ip,omitempty"`
	Mac        int64          `json:"mac,omitempty"`
	OS         string         `json:"os,omitempty"`
	Target     bool           `json:"target,omitempty"`
	Ports      []*Port        `json:"ports,omitempty"`
	CreateDate util.Timestamp `json:"createDate,omitempty"`
	UpdateDate util.Timestamp `json:"updateDate,omitempty"`
}
