package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Port struct {
	ID         json.Number    `json:"id,Number,omitempty"`
	Host       *Host          `json:"host,omitempty"`
	PortType   string         `json:"portType,omitempty"`
	PortNumber json.Number    `json:"portNumber,omitempty"`
	Services   []Service      `json:"services,omitempty"`
	CreateDate util.Timestamp `json:"createDate,omitempty"`
	UpdateDate util.Timestamp `json:"updateDate,omitempty"`
}
