package net

import util "git.loafle.net/overflow/overflow_commons_go/util"

type DiscoveryHost struct {
	Zone *DiscoveryZone `json:"-"`
	ID   int            `json:"id,omitempty"`
	IP   string         `json:"ip"`
	Mac  string         `json:"mac"`

	OS     string `json:"os,omitempty"`
	Target bool   `json:"target,omitempty"`

	CreateDate util.Timestamp `json:"createDate,omitempty"`
	UpdateDate util.Timestamp `json:"updateDate,omitempty"`
}
