package discovery

import (
	discoveryM "git.loafle.net/overflow/overflow_commons_go/modules/discovery/model"
)

type DiscoveryService interface {
	// use by probe
	DiscoverZone(dz *discoveryM.DiscoveryZone) error
	DiscoverHost(zone *discoveryM.Zone, dz *discoveryM.DiscoveryHost) error
	DiscoverPort(host *discoveryM.Host, dz *discoveryM.DiscoveryPort) error
	DiscoverService(port *discoveryM.Port, dz *discoveryM.DiscoveryService) error
}
