package model

import (
	"encoding/json"

	domain "git.loafle.net/overflow/overflow_commons_go/modules/domain/model"
	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	probe "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type History struct {
	ID         json.Number           `json:"id,Number,omitempty"`
	CreateDate util.Timestamp        `json:"createDate,omitempty"`
	Types      *meta.MetaHistoryType `json:"type,omitempty"`
	Message    string                `json:"message,omitempty"`
	Probe      *probe.Probe          `json:"probe,omitempty"`
	Member     *member.Member        `json:"member,omitempty"`
	Domain     *domain.Domain        `json:"domain,omitempty"`
}
