package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type MetaSensorItem struct {
	ID                 json.Number         `json:"id,Number,omitempty"`
	MetaSensorItemType *MetaSensorItemType `json:"metaSensorItemType,omitempty"`
	Key                string              `json:"key,omitempty"`
	Name               string              `json:"name,omitempty"`
	CreateDate         util.Timestamp      `json:"createDate,omitempty"`
}
