package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type MetaSensorItemKey struct {
	ID         json.Number         `json:"id,Number,omitempty"`
	Item       *MetaSensorItem     `json:"item,omitempty"`
	Key        string              `json:"key,omitempty"`
	Froms      string              `json:"froms,omitempty"`
	Option     string              `json:"option,omitempty"`
	Crawler    *MetaCrawler        `json:"crawler,omitempty"`
	CreateDate util.Timestamp      `json:"createDate,omitempty"`
	Unit       *MetaSensorItemUnit `json:"unit,omitempty"`
}
