package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type ProbeTask struct {
	ID                json.Number             `json:"id,Number,omitempty"`
	MetaProbeTaskType *meta.MetaProbeTaskType `json:"metaProbeTaskType,omitempty"`
	Probe             *Probe                  `json:"probe,omitempty"`
	Data              string                  `json:"data,omitempty"`
	CreateDate        util.Timestamp          `json:"createDate,omitempty"`
	SendDate          util.Timestamp          `json:"sendDate,omitempty"`
	StartDate         util.Timestamp          `json:"startDate,omitempty"`
	EndDate           util.Timestamp          `json:"endDate,omitempty"`
	Succeed           bool                    `json:"succeed,omitempty"`
}
