package model

import (
	"encoding/json"

	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type SensorItem struct {
	ID             json.Number          `json:"id,Number,omitempty"`
	Sensor         *Sensor              `json:"sensor,omitempty"`
	MetaSensorItem *meta.MetaSensorItem `json:"item,omitempty"`
	CreateDate     util.Timestamp       `json:"createDate,omitempty"`
}
