package model

import (
	"encoding/json"

	"github.com/google/gopacket"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Port struct {
	Host *Host `json:"host,omitempty"`

	ID         json.Number `json:"id,Number,omitempty"`
	PortType   string      `json:"portType,omitempty"`
	PortNumber json.Number `json:"portNumber,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`

	UDPLayer gopacket.Layer `json:"-"`
}
