package model

import (
	"encoding/json"

	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Service struct {
	Port *Port `json:"port,omitempty"`

	ID          json.Number `json:"id,Number,omitempty"`
	CryptoType  string      `json:"cryptoType,omitempty"`
	ServiceName string      `json:"serviceName,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`
}
