package model

import (
	"encoding/json"

	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type DomainMember struct {
	ID         json.Number    `json:"id,Number,omitempty"`
	CreateDate util.Timestamp `json:"createDate,omitempty"`
	Member     *member.Member `json:"member,omitempty"`
	Domain     *Domain        `json:"domain,omitempty"`
}
