package model

import (
	"encoding/json"

	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	util "git.loafle.net/overflow/overflow_commons_go/util"
)

type Notification struct {
	ID          json.Number    `json:"id,Number,omitempty"`
	CreateDate  util.Timestamp `json:"date,omitempty"`
	Title       string         `json:"title,omitempty"`
	Message     string         `json:"message,omitempty"`
	Member      *member.Member `json:"member,omitempty"`
	ConfirmDate util.Timestamp `json:"confirmDate,omitempty"`
	Url         string         `json:"url,omitempty"`
}
